[arch-commits] Commit in gmime/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Jan 30 18:11:12 EST 2010


    Date: Saturday, January 30, 2010 @ 18:11:11
  Author: jgc
Revision: 66362

Merged revisions 66361 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gmime/trunk

........
  r66361 | jgc | 2010-01-31 00:10:58 +0100 (Sun, 31 Jan 2010) | 2 lines
  
  upgpkg: gmime 2.4.14-1
      Update to 2.4.14
........

Modified:
  gmime/repos/extra-i686/	(properties)
  gmime/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)


Property changes on: gmime/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gmime/trunk:1-54841
   + /gmime/trunk:1-66361

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-30 23:10:58 UTC (rev 66361)
+++ extra-i686/PKGBUILD	2010-01-30 23:11:11 UTC (rev 66362)
@@ -3,29 +3,29 @@
 # Contributor: Ben <ben at benmazer.net>
 
 pkgname=gmime
-pkgver=2.4.10
+pkgver=2.4.14
 pkgrel=1
 pkgdesc="Core mime parsing library"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://spruce.sourceforge.net/gmime/"
-depends=('glib2>=2.22.2' 'zlib')
+depends=('glib2>=2.22.4' 'zlib')
 makedepends=('gtk-sharp-2>=2.12.8' 'pkgconfig')
 options=('!libtool')
 source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.4/${pkgname}-${pkgver}.tar.bz2)
-sha256sums=('59c71aa8d0f06c66f863bc0462868237a770ce30d1402af2515235fa41db51ca')
+sha256sums=('33429ba7d322d7255e00ae0c52b6e553406b993f56df2569af7a0c31604da77c')
 
 build() {
   # get rid of that .wapi errors in fakeroot
   export MONO_SHARED_DIR="${srcdir}/weird"
   mkdir -p "${MONO_SHARED_DIR}"
 
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
   # These are gmime alternatives for the same shareutils tools
-  mv ${pkgdir}/usr/bin/uuencode ${pkgdir}/usr/bin/guuencode || return 1
-  mv ${pkgdir}/usr/bin/uudecode ${pkgdir}/usr/bin/guudecode || return 1
+  mv "${pkgdir}/usr/bin/uuencode" "${pkgdir}/usr/bin/guuencode" || return 1
+  mv "${pkgdir}/usr/bin/uudecode" "${pkgdir}/usr/bin/guudecode" || return 1
 }



More information about the arch-commits mailing list